One analysed recording
curl --request GET \
--url https://api.pineyard.ai/speech/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "UPLOADING",
"fileName": "<string>",
"fileSizeBytes": 123,
"durationSeconds": 123,
"score": 123,
"outcomeLabel": "<string>",
"summary": "<string>",
"errorMessage": "<string>",
"callDate": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"rep": {
"id": "<string>",
"name": "<string>"
},
"scorecard": {
"id": "<string>",
"name": "<string>"
},
"audioUrl": "<string>",
"outcomeRationale": "<string>",
"observations": "<string>",
"areasForImprovement": "<string>",
"transcript": [
{}
],
"extractions": [
{}
],
"analytics": [
{}
],
"tags": [
{}
],
"udfs": {},
"talkRatio": 123,
"silenceRatio": 123,
"interruptions": 123,
"wordsPerMinute": 123
}Recordings
One analysed recording
GET
/
speech
/
calls
/
{id}
One analysed recording
curl --request GET \
--url https://api.pineyard.ai/speech/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "UPLOADING",
"fileName": "<string>",
"fileSizeBytes": 123,
"durationSeconds": 123,
"score": 123,
"outcomeLabel": "<string>",
"summary": "<string>",
"errorMessage": "<string>",
"callDate": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"rep": {
"id": "<string>",
"name": "<string>"
},
"scorecard": {
"id": "<string>",
"name": "<string>"
},
"audioUrl": "<string>",
"outcomeRationale": "<string>",
"observations": "<string>",
"areasForImprovement": "<string>",
"transcript": [
{}
],
"extractions": [
{}
],
"analytics": [
{}
],
"tags": [
{}
],
"udfs": {},
"talkRatio": 123,
"silenceRatio": 123,
"interruptions": 123,
"wordsPerMinute": 123
}Required scope:
speech.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK
Available options:
UPLOADING, PROCESSING, COMPLETED, FAILED, INGEST_FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

